UVM_KM_SUBALLOC(9)

NAME
uvm_km_suballoc - raw kernel memory or address space allocator

SYNOPSIS
#include <sys/param.h>
#include <uvm/uvm.h>
uvm_km_suballoc(vm_map_t map, vaddr_t *min, vaddr_t *max , vsize_t size, int flags, boolean_t fixed, vm_map_t submap);

DESCRIPTION
The uvm_km_suballoc() function allocates submap (with the specified flags, as described above) from map, creating a new map if submap is NULL. The addresses of the submap can be specified exactly by setting the fixed argument to non-zero, which causes the min argument to specify the beginning of the address in the submap. If fixed is zero, any address of size size will be allocated from map and the start and end addresses returned in min and max.

SEE ALSO
km_alloc(9)